Mirror of the lttng-dev mailing list
 help / color / mirror / Atom feed
From: yannick.brosseau@gmail.com (Yannick Brosseau)
Subject: [ltt-dev] [UST PATCH 3/3] Test for the presence of valgrind in the valgrind test
Date: Fri, 18 Feb 2011 12:59:40 -0500	[thread overview]
Message-ID: <1298051980-20312-3-git-send-email-yannick.brosseau@gmail.com> (raw)
In-Reply-To: <1298051980-20312-1-git-send-email-yannick.brosseau@gmail.com>

Signed-off-by: Yannick Brosseau <yannick.brosseau at gmail.com>
---
 tests/valgrind_ust-consumerd.sh |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

diff --git a/tests/valgrind_ust-consumerd.sh b/tests/valgrind_ust-consumerd.sh
index a0d9e44..d89a1f2 100755
--- a/tests/valgrind_ust-consumerd.sh
+++ b/tests/valgrind_ust-consumerd.sh
@@ -17,6 +17,11 @@
 #    You should have received a copy of the GNU General Public License
 #    along with LTTng-UST.  If not, see <http://www.gnu.org/licenses/>.
 
+if [ -n "$(which valgrind)" ]; then
+    echo "$0: Valgrind not found on the system." >/dev/stderr
+    exit 1;
+fi
+
 TESTDIR=$(dirname $0)
 
 source $TESTDIR/test_functions.sh
-- 
1.7.2.3





  parent reply	other threads:[~2011-02-18 17:59 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-02-18 17:59 [ltt-dev] [UST PATCH 1/3] Try harder to find a usable lttv in the tests scripts v2 Yannick Brosseau
2011-02-18 17:59 ` [ltt-dev] [UST PATCH 2/3] Use usttrace and libraries from the build directory in the test scripts Yannick Brosseau
2011-02-18 20:33   ` Mathieu Desnoyers
2011-02-18 17:59 ` Yannick Brosseau [this message]
2011-02-18 20:34   ` [ltt-dev] [UST PATCH 3/3] Test for the presence of valgrind in the valgrind test Mathieu Desnoyers
2011-02-18 20:32 ` [ltt-dev] [UST PATCH 1/3] Try harder to find a usable lttv in the tests scripts v2 Mathieu Desnoyers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1298051980-20312-3-git-send-email-yannick.brosseau@gmail.com \
    --to=yannick.brosseau@gmail.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox